
Redmine - Patch #6171

Persist 'locked' users across updates

2010-08-18 16:41 - ciaran jessup

Status: Closed Start date: 2010-08-18

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

Currently when a user has been marked as 'locked' if an update occurs to an issue that is assigned to that user, that update will also

remove the assigned (and locked) user. (You will see two journal entries informing you of this)

I think (personally) that it would be better if the assigned_to user was left un-touched when an unrelated change is made. (There is of

course an argument around whether it is even valid for an issue to be assigned to a locked issue..but in my use case this is currently

the case :( )

Please find attached a patch that does at least stop this behaviour (it does have the side-effect that the currently assigned user can

appear twice in the list if that user isn't locked)

Related issues:

Is duplicate of Redmine - Defect #8884: Assignee is cleared when updating iss... Closed

History

#1 - 2016-12-26 14:27 - Go MAEDA

- Is duplicate of Defect #8884: Assignee is cleared when updating issue with locked assignee added

#2 - 2016-12-26 14:28 - Go MAEDA

- Status changed from New to Closed

Fixed by #8884 (Redmine 1.2.0).

Files

display_locked_users_on_update.diff 922 Bytes 2010-08-18 ciaran jessup
